petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISGeneralFilter

Remove all points outside of [start, end)

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISGeneralFilter(IS is, PetscInt start, PetscInt end)

Collective on IS

### Input Parameters

| is | - the index set
| start | - the lowest index kept
| end | - one more than the highest index kept

### See Also

ISCreateGeneral(), ISGeneralSetIndices()

### Level

beginner

### Location

src/vec/is/is/impls/general/general.c

### Implementations

ISGeneralFilter_General in src/vec/is/is/impls/general/general.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages